
Redmine - Feature #3082

Repository Search

2009-03-31 11:54 - Jens Goldhammer

Status: New Start date: 2009-03-31

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

it would be very useful to have a search (content, filenames, comments) for the project archive?

Trac is able to do that with the RepoSearchPlugin (http://trac-hacks.org/wiki/RepoSearchPlugin).

Maybe it is possible to integrate Sventon( http://www.sventon.org/) for SVN or Opengrok (http://opensolaris.org/os/project/opengrok/)

for various SCMs into Redmine?

Related issues:

Related to Redmine - Feature #4138: Add spent time comments in search Needs feedback2009-10-29

Has duplicate Redmine - Feature #1329: Search for a file within the repository Closed 2008-05-30

History

#1 - 2009-03-31 11:55 - Jens Goldhammer

Sorry it should be a feature!

#2 - 2009-03-31 15:58 - Marco D'Arienzo

+1

#3 - 2009-04-02 19:10 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#4 - 2009-04-04 11:44 - Jean-Philippe Lang

Note that commit comments can already be searched:

http://www.redmine.org/search/index/redmine?q=behaviour&scope=&all_words=1&changesets=1

#5 - 2009-05-22 21:36 - Jens Goldhammer

+1

#6 - 2009-05-22 23:34 - Thomas Pihl

+1

#7 - 2009-06-09 08:38 - chris redmine

+1 for at least file name search

#8 - 2009-06-09 08:58 - Jens Goldhammer

Another option would be Subversion Repository Search (http://supose.soebes.de/).

#9 - 2009-09-22 16:14 - taha mohammed el kahlaoui

+1

#10 - 2009-09-22 16:14 - taha mohammed el kahlaoui

+10 :-)

#11 - 2010-02-03 15:33 - J Cayetano Delgado

+1
#12 - 2010-02-03 16:13 - J Cayetano Delgado

Another alternative could be creating a plugin for indexing the repository on each project, using Ferret (Lucene port to Ruby) and the rails plugin: Acts

as Ferret.

http://ferret.davebalmain.com/trac/wiki

http://rm.jkraemer.net/wiki/aaf

#13 - 2010-06-17 09:49 - chris madler

+10!

Super useful feature!

#14 - 2011-02-09 13:16 - S Reid

+1

#15 - 2011-03-23 08:59 - Toshi MARUYAMA

- Category set to SCM

#16 - 2011-10-05 10:10 - Kai Zimmermann

+1

#17 - 2011-11-11 18:43 - Zazvonnyh Alexsey

duplicates Feature #1329

#18 - 2011-12-08 13:37 - Terence Mill

+1

#19 - 2011-12-27 16:13 - Kosei Kitahara

Hi! I try to create this plugin: http://www.redmine.org/plugins/redmine_reposearch

Its copy of RepoSearchPlugin for Trac.

Plese try it and feedback ;-)

Thanks.

#20 - 2013-08-29 13:32 - Terence Mill

The "redmine_xapian" plugin supports filea and repository (git,svn) in one go now.

See https://github.com/xelkano/redmine_xapian/issues/26

Testd and works for me on redmine 2.3.2, rails3 and ruby 2

#21 - 2013-10-01 12:31 - Toshi MARUYAMA

- Related to Feature #4138: Add spent time comments in search added

#22 - 2015-08-07 07:48 - Sergey Startsev

Very-very useful feature!

Especially, when using as KB for finished projects.
